# Dot Translate
🌐 A microservice for quick and local translation using A.I.

---

This service starts a local webserver used for neural machine translation.


## 🚀 Features

|  | Dot Translate |
| - | ------------ |
| 🔒 | **No tracking or telemetry** data is collected from you |
| 🆓 | **Always free** |
| ⚡️ | **Fast** on low-compute machines |
| 📝 | **Accurate** and keeps your prompt meaningful |
| 💻 | **Open-source** and open for contributions |

For inference, all models are ran on the CPU. Every model utilized in this service are 8-bit quantized, which results in decreased latency and storage costs.

## 🔧 Contributing

We accept all positive contributions that affects this repository and service as a whole; we accept trained .argosmodels files via pull request. 

| Language | Source -> Target | Target -> Source |
| :---: | :---: | :---: |
| 🇳🇱 | [nl -> en](https://cdn.discordapp.com/attachments/842801645611384872/912031467327074374/dutch_en.argosmodel) | [en -> nl](https://cdn.discordapp.com/attachments/842801645611384872/912031363639685130/en_nl.argosmodel) |

## ❤️ Acknowledgements

[Argos Translate](https://github.com/argosopentech/argos-translate), which is built on [OpenNMT](https://opennmt.net/), is widely used in this repository for translation.

## 📜 Licenses
**Dot Translate** is licensed under the [MIT](https://spdx.org/licenses/MIT.html) license.
